{ pkgs, ... }:
{
	imports = [./desktop.nix];

	services.pipewire = {
		enable = true;
		alsa.enable = true;
		# alsa.support32bit = true;
		pulse.enable = true;
	};

	programs.sway = {
		enable = true;
		wrapperFeatures = { gtk = true; };
		extraPackages = with pkgs; [
			swaylock
			alacritty
			swayidle
			swaylock-effects
			mako
			bemenu
			# - bar
			i3blocks
			acpi
			lm_sensors
			# - tools
			wl-clipboard
			ponymix
			brightnessctl
			gammastep
			grim
			slurp
		];
	};
	# done my sway:
	#  security.pam.services.swaylock = {};
	#  hardware.opengl.enable = true;
	#  fonts.enableDefaultFonts = true;
	#  programs.dconf.enable = true; # gtk theme

	programs.kdeconnect = {
		enable = true;
		# openFirewall = true; - by enable
	};
	programs.browserpass.enable = true;
	programs.gnupg.agent = {
		enable = true;
		enableSSHSupport = true;
		pinentryFlavor = "gnome3";
	};

	# services.acpid.enable = true;


}
