{pkgs, ...}:
{
	home.packages = with pkgs; [
		(python3.withPackages(ps: with ps; [
			ansible
			dnspython
		]))
		killall
		htop
		mosh
		git
		git-lfs
		tig
		tea
		glab
		figlet
		grml-zsh-config
		tmux
		w3m
		#neovim
		xh
		liboping # fix it
		mtr
		colordiff
		git-annex
		direnv
		pure-prompt
		#vimPlugins.nvim-lspconfig
		#vimPlugins.nerdtree
		go gcc libcap
		go-langserver
		yarn
		pwgen
		pass-wayland
		glow
		ffmpeg
		# devOps
		nixopsUnstable
	];

	programs.zsh = {
		enable = true;
		enableAutosuggestions = true;
		# broken: enableSyntaxHighlighting = true;
		# grml and pure enabled ....
	};

	programs.git = {
		enable = true;
		userName= "genofire";
		userEmail = "geno+dev@fireorbit.de";
		signing = {
			signByDefault = false;
			key = "386ED1BF848ABB4A6B4A3C45FC83907C125BC2BC";
		};
		extraConfig = {
			init.defaultBranch = "main";
			annex.sshcaching = true;
		};
	};
	programs.neovim = {
		enable = true;
		extraConfig = ''
		syntax on
		set number relativenumber
		'';
		plugins = with pkgs.vimPlugins; [
			nvim-lspconfig
			airline
			Syntastic
			{
				plugin = nerdtree;
				config = "map <C-n> :NERDTreeToggle<CR>";
			}
		];
	};
}
